<template>
  <div>
    <v-row justify="center">
      <v-col cols="12" md="12" lg="12" xl="12">
        <semaforo :filters="filters" />
      </v-col>
    </v-row>
    <v-row>
      <v-col cols="12" md="6" lg="4" xl="4">
        <calificacion-promedio :filters="filters" />
      </v-col>
      <v-col cols="12" md="6" lg="4" xl="4">
        <porcentaje-puntos-venta-aprobados :filters="filters" />
      </v-col>
      <v-col cols="12" md="12" lg="4" xl="4">
        <nivel-cumplimiento :filters="filters" />
      </v-col>
    </v-row>
    <v-row>
      <v-col cols="12" md="12" lg="12" xl="6">
        <calificacion-geografia :setFilters="setFilters" :filters="filters" />
      </v-col>
      <v-col cols="12" md="12" lg="12" xl="6">
        <puntos-venta-aprobados-geografia
          :setFilters="setFilters"
          :filters="filters"
        />
      </v-col>
    </v-row>
    <v-row>
      <v-col cols="12" md="12" lg="7" xl="7">
        <incumplimientos-negocio :filters="filters" />
      </v-col>
      <v-col cols="12" md="12" lg="5" xl="5">
        <inclumpliento-seccion-responsable :filters="filters" />
      </v-col>
    </v-row>
    <v-row>
      <v-col cols="12" md="12">
        <excel :filters="filters" />
      </v-col>
    </v-row>
  </div>
</template>
<script>
import Semaforo from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/implementacion/NoXSemaforoRedUnica.vue";
import CalificacionPromedio from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/implementacion/NoXCalificacionPromedioRedUnica.vue";
import PorcentajePuntosVentaAprobados from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/implementacion/NoXPorcentajePuntosVentaAprobadosRedUnica.vue";
import NivelCumplimiento from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/implementacion/No2NivelCumplimientoRedUnica.vue";
import CalificacionGeografia from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/implementacion/NoXCalificacionGeografiaRedUnica.vue";
import PuntosVentaAprobadosGeografia from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/implementacion/NoXPuntosVentaAprobadosGeografiaRedUnica.vue";
import IncumplimientosNegocio from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/implementacion/No5IncumplimientosNegocioRedUnica.vue";
import InclumplientoSeccionResponsable from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/implementacion/No6InclumplientoSeccionResponsableRedUnica.vue";
import Excel from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/reporte/Excel.vue";
export default {
  name: "Component-LayoutRedUnica",
  props: ["filters", "setFilters"],
  components: {
    Semaforo,
    CalificacionPromedio,
    PorcentajePuntosVentaAprobados,
    NivelCumplimiento,
    CalificacionGeografia,
    PuntosVentaAprobadosGeografia,
    IncumplimientosNegocio,
    InclumplientoSeccionResponsable,
    Excel,
  },
};
</script>
